<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/navbar.ejs')%>

    <div class="container">
        <hr>
        <h2>Categorias</h2>
        <a class="btn btn-success" href="/admin/categories/new">Criar nova categoria</a>
        <hr>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Título</th>
                    <th>Slug</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <% categories.forEach(c => { %>
                    <tr>
                        <th><%= c.id %></th>
                        <th><%= c.title %></th>
                        <th><%= c.slug %></th>
                        <th>
                            <a href="/admin/categories/edit/<%= c.id %>" class="btn btn-warning">Editar</a>

                            <form method="POST" action="/categories/delete" style="display: inline;" onsubmit="deleteConfirm(event, this)">
                                <input type="hidden" name="idCategory" value="<%= c.id %>">
                                <button class="btn btn-danger">Deletar</button>
                            </form>
                        </th>
                    </tr>    
                <% }) %>

            </tbody>
        </table>
    </div>
</body>

<%- include('../../partials/footer.ejs')%>

<script>
    function deleteConfirm(event, form){
        event.preventDefault(); //Interrompe a submissão do form
        var decision = confirm("Tem certeza que quer apagar esta categoria?");
        if(decision){
            form.submit();
        }
    }
</script>
